import { ContentType } from '.';
import { ContentAudio } from './content-audio';
import { ContentBanner } from './content-banner';
import { ContentCode } from './content-code';
import { ContentFile } from './content-file';
import { ContentImage } from './content-image';
import { ContentImageText } from './content-image-text';
import { ContentITLab, ContentITLabPopulated } from './content-itlab';
import { ContentQuote } from './content-quote';
import { ContentRichtext } from './content-richtext';
import { ContentVideo } from './content-video';
export type Content = ContentElement[];
export type ContentPopulated = ContentElementPopulated[];
export interface ContentElement {
    type: ContentType;
    description?: string;
    audio?: ContentAudio;
    code?: ContentCode;
    grid?: [ContentImage, ContentImage, ContentImage, ContentImage];
    gridLR?: [ContentImage, ContentImage];
    gridLRR?: [ContentImage, ContentImage, ContentImage];
    gridRLL?: [ContentImage, ContentImage, ContentImage];
    image?: ContentImage;
    imageText?: ContentImageText;
    quote?: ContentQuote;
    richtext?: ContentRichtext | string;
    slider?: ContentImage[];
    video?: ContentVideo;
    itlab?: ContentITLab;
    banner?: ContentBanner;
    files?: ContentFile[];
}
export interface ContentElementPopulated extends ContentElement {
    itlab?: ContentITLabPopulated;
}
